Subject: bug#50983: 28.0.50; [REGRESSION, BUG] Display bugs with uncommon characters

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Oct 2021 13:49:29 +0300

> Date: Sun, 3 Oct 2021 11:24:59 +0100
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > It looks like sometimes the display is incorrect, and other times the
> > > action actually changes the underlying buffer contents in an
> > > unexpected way.
> > 
> > Any idea what could cause that?  Does it happen with plain-ASCII text
> > as well?
> 
> Actually, I was wrong. If I follow the instructions for the first
> example, by removing the character indicated by an underscore in
> Rudi's first screenshot, it actually deletes the previous "o" in
> "note", and displays the rest wrongly, as shown in his second
> screenshot.
> 
> If I put the cursor over that underscore character and do
> describe-char, it tells me it's an "o", so the problem exists even
> before editing.

Is this in a GUI frame or a TTY frame?

And what do you mean by "underscore character"? What is its Unicode
codepoint?